<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pd@7E00C0=00000000|(maincpu.pd@7E00C0 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@7E0059=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pw@7E00C9=0008</action>
    </script>
  </cheat>

  <cheat desc="Invincibility (TEST)"> <comment>All cars gets Invincibility though</comment>
    <script state="on">
      <action>temp0 =maincpu.ob@0098F3</action>
      <action>temp1 =maincpu.ob@009CAF</action>
      <action>temp2 =maincpu.ob@00BB99</action>
      <action>temp3 =maincpu.ob@039193</action>
      <action>temp4 =maincpu.ob@0391D7</action>
      <action>temp5 =maincpu.ob@0391EF</action>
    </script>
    <script state="run">
      <action>maincpu.ob@0098F3=80</action>
      <action>maincpu.ob@009CAF=60</action> <!-- 1st = Wall, 2nd = Out of Course -->
      <action>maincpu.ob@00BB99=80</action> <!-- Car -->
      <action>maincpu.ob@039193=6B</action> <!-- Dirt -->
      <action>maincpu.ob@0391D7=6B</action> <!-- Slip Zone -->
      <action>maincpu.ob@0391EF=6B</action> <!-- Mine -->
    </script>
    <script state="off">
      <action>maincpu.ob@0098F3=temp0 </action>
      <action>maincpu.ob@009CAF=temp1 </action>
      <action>maincpu.ob@00BB99=temp2 </action>
      <action>maincpu.ob@039193=temp3 </action>
      <action>maincpu.ob@0391D7=temp4 </action>
      <action>maincpu.ob@0391EF=temp5 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Boosts">
    <script state="run">
      <action>maincpu.pb@7E0CF3=03</action>
    </script>
  </cheat>

  <cheat desc="Always Use Boost">
    <script state="run">
      <action>maincpu.pb@7E0CF4=02</action>
      <action>maincpu.pb@7E0D51=08|(maincpu.pb@7E0D51 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Maximum Speed">
    <script state="run">
      <action>maincpu.pw@7E0B20=600E</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
